<?php $__env->startSection('main-content'); ?>

<section class="section">
    <div class="section-header">
        <h1><?php echo e(__('pre_register.pre_register')); ?></h1>
        <?php echo e(Breadcrumbs::render('pre-registers')); ?>

    </div>

    <div class="section-body">
        <div class="row">
            <div class="col-12">
                <div class="card">

                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('pre-registers_create')): ?>
                        <div class="card-header">
                            <a href="<?php echo e(route('admin.pre-registers.create')); ?>" class="btn btn-icon icon-left btn-primary"><i
                                    class="fas fa-plus"></i> <?php echo e(__('Add Pre-register')); ?></a>
                        </div>
                        <?php endif; ?>

                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped" id="maintable"
                                data-url="<?php echo e(route('admin.pre-registers.get-pre-registers')); ?>"
                                data-status="<?php echo e(\App\Enums\Status::ACTIVE); ?>" data-hidecolumn="<?php echo e(auth()->user()->can('pre-registers_show') || auth()->user()->can('pre-registers_edit') || auth()->user()->can('pre-registers_delete')); ?>">
                                <thead>
                                    <tr>
                                        <th width="5%"><?php echo e(__('levels.id')); ?></th>
                                        <th width="10%"><?php echo e(__('levels.name')); ?></th>
                                        <th width="5%"><?php echo e(__('levels.email')); ?></th>
                                        <th width="5%"><?php echo e(__('levels.phone')); ?></th>
                                        <th width="10%"><?php echo e(__('pre_register.employee')); ?></th>
                                        <th width="15%"><?php echo e(__('pre_register.expected_date')); ?></th>
                                        <th width="15%"><?php echo e(__('pre_register.expected_time')); ?></th>
                                        <th width="15%"><?php echo e(__('levels.actions')); ?></th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<?php $__env->stopSection(); ?>



<?php $__env->startSection('css'); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/modules/datatables.net-bs4/css/dataTables.bootstrap4.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/modules/datatables.net-select-bs4/css/select.bootstrap4.min.css')); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>

<script src="<?php echo e(asset('assets/modules/datatables/media/js/jquery.dataTables.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/modules/datatables.net-bs4/js/dataTables.bootstrap4.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/modules/datatables.net-select-bs4/js/select.bootstrap4.min.js')); ?>"></script>
<script src="<?php echo e(asset('js/preregister/index.js')); ?>"></script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/visito8/public_html/resources/views/admin/pre-register/index.blade.php ENDPATH**/ ?>