<?php $__env->startSection('main-content'); ?>

  <section class="section">
        <div class="section-header">
            <h1><?php echo e(__('addon.addons')); ?></h1>
            <?php echo e(Breadcrumbs::render('addons')); ?>

        </div>

        <div class="section-body">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('departments_create')): ?>
                            <div class="card-header">
                                <a href="<?php echo e(route('admin.addons.create')); ?>" class="btn btn-icon icon-left btn-primary"><i class="fas fa-plus"></i> <?php echo e(__('addon.add_addon')); ?></a>
                            </div>
                        <?php endif; ?>
                        <div class="card-body">
                            <div class="row">
                                <?php if(!blank($addons)): ?>
                                    <?php $__currentLoopData = $addons; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $addon): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="col-md-3">
                                            <div class="card card-custom">
                                                <img src="<?php echo e($addon->image); ?>" class="card-img-top card-image-height" alt="<?php echo e($addon->title); ?>">
                                                <div class="card-body">
                                                    <h6 class="card-title"><?php echo e($addon->version); ?></h6>
                                                    <h5 class="card-title"><?php echo e(str_limit($addon->title,45)); ?></h5>
                                                    <p class="card-text"><?php echo e(str_limit($addon->description,100)); ?></p>
                                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('addons_delete')): ?>
                                                        <a href="#" id="DeleteModalClick"  data-attr="<?php echo e(route('admin.addons.destroy', $addon->id)); ?>" data-title="<?php echo e($addon->title); ?>" title="Delete Addon" class="btn btn-block btn-danger"><?php echo e(__('Remove')); ?></a>
                                                    <?php endif; ?>
                                                </div>
                                            </div>
                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                               <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    
  <div class="modal fade" id="DeleteModal" tabindex="-1" role="dialog" aria-labelledby="DeleteModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div>
                    <form id="deleteForm"  method="post">
                        <div class="modal-body">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('DELETE'); ?>
                            <h5 class="text-center" id="fromTitle"></h5>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal"><?php echo e(__('Cancel')); ?></button>
                            <button type="submit" class="btn btn-danger"><?php echo e(__('Yes, Delete Addon')); ?></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(asset('js/addon/index.js')); ?>"></script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/visito8/public_html/resources/views/admin/addon/index.blade.php ENDPATH**/ ?>