<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('css/id-card-print.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('main-content'); ?>

	<section class="section">
        <div class="section-header">
            <h1><?php echo e(__('visitor.visitors')); ?></h1>
            <?php echo e(Breadcrumbs::render('visitors/show')); ?>

        </div>

        <div class="section-body">
        	<div class="row">
	   			<div class="col-4 col-md-4 col-lg-4">
			    	<div class="card">
                        <div class="card-header">
                            <a href="#" id="print" class="btn btn-icon icon-left btn-primary"><i class="fas fa-print"></i> <?php echo e(__('visitor.print_id_card')); ?></a>
                        </div>
					    <div class="card-body ">
                            <div class="img-cards" id="printidcard">
                                <div class="id-card-holder">
                                    <div class="id-card">
                                        <div class="id-card-photo">
                                            <?php if($visitingDetails->getFirstMediaUrl('visitor')): ?>
                                                <img src="<?php echo e(asset($visitingDetails->getFirstMediaUrl('visitor'))); ?>" alt="">
                                            <?php else: ?>
                                                <img src="<?php echo e(asset('images/'.setting('site_logo'))); ?>" alt="">
                                            <?php endif; ?>
                                        </div>
                                        <div class="id-card-photo">
                                            <?php if($visitingDetails->visitor->barcode): ?>
                                                <img style="width: 75px !important; height: 75px !important;" src="<?php echo e(asset('public/qrcode/' . $visitingDetails->visitor->barcode)); ?>" alt="">
                                            <?php endif; ?>
                                        </div>
                                        <h2><?php echo e(optional($visitingDetails->visitor)->name); ?></h2>
                                        <h3><?php echo e(__('visitor.ph')); ?>:<?php echo e($visitingDetails->visitor->phone); ?></h3>
                                        <h3><?php echo e(__('visitor.id')); ?>#<?php echo e($visitingDetails->reg_no); ?></h3>
                                        <h3><?php echo e($visitingDetails->company_name); ?></h3>
                                        <h3><?php echo e($visitingDetails->visitor->address); ?></h3>
                                        <h2><?php echo e(__('visitor.visited_to')); ?></h2>
                                        <h3><?php echo e(__('visitor.host')); ?>: <?php echo e($visitingDetails->employee->name); ?></h3>
                                        <hr>
                                        <p><strong><?php echo e(setting('site_name')); ?> </strong></p>
                                        <p><strong><?php echo e(setting('site_address')); ?> </strong></p>
                                        <p><?php echo e(__('visitor.ph')); ?>: <?php echo e(setting('site_phone')); ?> | <?php echo e(__('visitor.email')); ?>: <?php echo e(setting('site_email')); ?> </p>
                                    </div>
                                </div>
                            </div>
                        </div>
					    <!-- /.box-body -->
					</div>
				</div>
	   			<div class="col-8 col-md-8 col-lg-8">
			    	<div class="card">
			    		<div class="card-body">
			    			<div class="profile-desc">
			    				<div class="single-profile">
			    					<p><b><?php echo e(__('visitor.first_name')); ?>: </b> <?php echo e($visitingDetails->visitor->first_name); ?></p>
			    				</div>
			    				<div class="single-profile">
			    					<p><b><?php echo e(__('visitor.last_name')); ?>: </b> <?php echo e($visitingDetails->visitor->last_name); ?></p>
			    				</div>
			    				<div class="single-profile">
			    					<p><b><?php echo e(__('visitor.email')); ?>: </b> <?php echo e($visitingDetails->visitor->email); ?></p>
			    				</div>
			    				<div class="single-profile">
			    					<p><b><?php echo e(__('visitor.phone')); ?>: </b> <?php echo e($visitingDetails->visitor->phone); ?></p>
			    				</div>
                                <div class="single-profile">
			    					<p><b><?php echo e(__('visitor.employee')); ?>: </b> <?php echo e($visitingDetails->employee->user->name); ?></p>
			    				</div>
                                <div class="single-profile">
                                    <p><b><?php echo e(__('visitor.purpose')); ?>: </b> <?php echo e($visitingDetails->purpose); ?></p>
                                </div>
                                <div class="single-profile">
                                    <p><b><?php echo e(__('visitor.company_name')); ?>: </b> <?php echo e($visitingDetails->company_name); ?></p>
                                </div>
                                <div class="single-profile">
                                    <p><b><?php echo e(__('visitor.national_identification_no')); ?>: </b> <?php echo e($visitingDetails->visitor->national_identification_no); ?></p>
                                </div>
			    				<div class="single-profile">
			    					<p><b><?php echo e(__('visitor.date')); ?>: </b> <?php echo e(date('d-m-Y', strtotime($visitingDetails->created_at))); ?></p>
			    				</div>
                                <div class="single-profile">
			    					<p><b><?php echo e(__('visitor.checkin')); ?>: </b> <?php echo e(date('d-m-Y h:i A', strtotime($visitingDetails->checkin_at))); ?></p>
			    				</div>
                                <?php if($visitingDetails->checkout_at): ?>
                                <div class="single-profile">
			    					<p><b><?php echo e(__('visitor.checkout')); ?>: </b> <?php echo e(date('d-m-Y h:i A', strtotime($visitingDetails->checkout_at))); ?></p>
			    				</div>
                                <?php endif; ?>
                                <div class="single-profile">
                                    <p><b><?php echo e(__('visitor.address')); ?>: </b> <?php echo e($visitingDetails->visitor->address); ?></p>
                                </div>
                                <div class="single-profile">
                                    <p><b><?php echo e(__('levels.status')); ?>: </b> <?php echo e($visitingDetails->status== App\Enums\VisitorStatus::PENDDING ||  $visitingDetails->status== App\Enums\VisitorStatus::ACCEPT || $visitingDetails->status== App\Enums\VisitorStatus::REJECT ? trans('visitor_statuses.' . $visitingDetails->status) : ''); ?></p>                                
                                </div>
                                <?php if($visitingDetails->disable): ?>
                                <div class="single-profile">
			    					<p><b><?php echo e(__('levels.disabled')); ?>: </b><span class="badge badge-danger">Visitor Blocked</span></p>
			    				</div>
                                <?php endif; ?>
			    			</div>

                            <?php if(setting('whatsapp_message')): ?>
                                <div class="float-right">
                                    <a id=waButton href="https://wa.me/<?php echo e($visitingDetails->visitor->phone); ?>?text=<?php echo strip_tags(setting('whatsapp_decline_message')); ?>" target="_blank" class="btn btn-danger">Reject WhatsApp</a>
                                </div> 
								<div class="float-right">
									<a id=waButton href="https://wa.me/<?php echo e($visitingDetails->visitor->phone); ?>?text=<?php echo strip_tags(setting('whatsapp_accept_message')); ?><?php echo e(route('qrcode',$visitingDetails->visitor->phone)); ?>" target="_blank" class="btn btn-success mr-1">Send WhatsApp</a>
								</div> 
                                
							<?php endif; ?>
			    		</div>
			    	</div>
				</div>
        	</div>
        </div>
    </section>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/modules/datatables.net-bs4/css/dataTables.bootstrap4.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/modules/datatables.net-select-bs4/css/select.bootstrap4.min.css')); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(asset('assets/modules/datatables/media/js/jquery.dataTables.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/modules/datatables.net-bs4/js/dataTables.bootstrap4.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/modules/datatables.net-select-bs4/js/select.bootstrap4.min.js')); ?>"></script>

    <script>
        var idCardCss = "<?php echo e(asset('css/id-card-print.css')); ?>";
    </script>

    <script src="<?php echo e(asset('js/visitor/view.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/visito8/public_html/resources/views/admin/visitor/show.blade.php ENDPATH**/ ?>